Bug 1122836 - Supply pulp-admin for debugging
Summary: Supply pulp-admin for debugging
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: sthirugn@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2014-07-24 08:06 UTC by Dominic Cleal
Modified: 2014-09-11 12:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:29:44 UTC


Attachments (Terms of Use)

Description Dominic Cleal 2014-07-24 08:06:47 UTC
Description of problem:
pulp-admin should be provided for debugging by GSS and customers.

(I think this is in the "pulp-admin-client" binary RPM)

Version-Release number of selected component (if applicable):
6.0.3

How reproducible:
Always

Steps to Reproduce:
1. yum install /usr/bin/pulp-admin

Actual results:
not available

Expected results:
installs

Comment 4 Brad Buckingham 2014-08-11 18:32:55 UTC
pulp-admin is now available in the compose

Comment 5 sthirugn@redhat.com 2014-09-04 19:31:22 UTC
Verified.

# yum install /usr/bin/pulp-admin
Loaded plugins: product-id, security, subscription-manager
This system is receiving updates from Red Hat Subscription Management.
rhel-6-server-rpms                                                                 | 3.7 kB     00:00     
rhel-server-rhscl-6-rpms                                                           | 3.1 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package pulp-admin-client.noarch 0:2.4.1-0.5.rc1.el6sat will be installed
--> Processing Dependency: python-pulp-client-lib = 2.4.1 for package: pulp-admin-client-2.4.1-0.5.rc1.el6sat.noarch
--> Running transaction check
---> Package python-pulp-client-lib.noarch 0:2.4.1-0.5.rc1.el6sat will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================================
 Package                         Arch            Version                        Repository           Size
==========================================================================================================
Installing:
 pulp-admin-client               noarch          2.4.1-0.5.rc1.el6sat           Satellite6           88 k
Installing for dependencies:
 python-pulp-client-lib          noarch          2.4.1-0.5.rc1.el6sat           Satellite6          190 k

Transaction Summary
==========================================================================================================
Install       2 Package(s)

Total download size: 279 k
Installed size: 775 k
Is this ok [y/N]: y
Downloading Packages:
(1/2): pulp-admin-client-2.4.1-0.5.rc1.el6sat.noarch.rpm                           |  88 kB     00:00     
(2/2): python-pulp-client-lib-2.4.1-0.5.rc1.el6sat.noarch.rpm                      | 190 kB     00:00     
----------------------------------------------------------------------------------------------------------
Total                                                                     1.3 MB/s | 279 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : python-pulp-client-lib-2.4.1-0.5.rc1.el6sat.noarch                                     1/2 
  Installing : pulp-admin-client-2.4.1-0.5.rc1.el6sat.noarch                                          2/2 
  Verifying  : pulp-admin-client-2.4.1-0.5.rc1.el6sat.noarch                                          1/2 
  Verifying  : python-pulp-client-lib-2.4.1-0.5.rc1.el6sat.noarch                                     2/2 

Installed:
  pulp-admin-client.noarch 0:2.4.1-0.5.rc1.el6sat                                                         

Dependency Installed:
  python-pulp-client-lib.noarch 0:2.4.1-0.5.rc1.el6sat                                                    

Complete!

Version Tested:
GA Snap 7 - Satellite-6.0.4-RHEL-6-20140829.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.23-1.el6_5.noarch
* candlepin-common-1.0.1-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.23-1.el6_5.noarch
* candlepin-tomcat6-0.9.23-1.el6_5.noarch
* elasticsearch-0.90.10-6.el6sat.noarch
* foreman-1.6.0.42-1.el6sat.noarch
* foreman-compute-1.6.0.42-1.el6sat.noarch
* foreman-gce-1.6.0.42-1.el6sat.noarch
* foreman-libvirt-1.6.0.42-1.el6sat.noarch
* foreman-ovirt-1.6.0.42-1.el6sat.noarch
* foreman-postgresql-1.6.0.42-1.el6sat.noarch
* foreman-proxy-1.6.0.30-1.el6sat.noarch
* foreman-selinux-1.6.0.14-1.el6sat.noarch
* foreman-vmware-1.6.0.42-1.el6sat.noarch
* katello-1.5.0-30.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.62-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* openldap-devel-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-4.el6sat.noarch
* pulp-nodes-common-2.4.1-0.5.rc1.el6sat.noarch
* pulp-nodes-parent-2.4.1-0.5.rc1.el6sat.noarch
* pulp-puppet-plugins-2.4.1-0.5.rc1.el6sat.noarch
* pulp-puppet-tools-2.4.1-0.5.rc1.el6sat.noarch
* pulp-rpm-plugins-2.4.1-0.5.rc1.el6sat.noarch
* pulp-selinux-2.4.1-0.5.rc1.el6sat.noarch
* pulp-server-2.4.1-0.5.rc1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

Comment 6 Bryan Kearney 2014-09-11 12:29:44 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.